cURL
curl --request POST \ --url http://staging.qshop.ng/apiv2/{shopId}/shipping/zones \ --header 'Content-Type: application/json' \ --data ' { "label": "international", "name": "Oyo south west", "rates": [ { "amount": 0, "deliveryType": "delivery", "name": "standard rate 5", "rateType": "norate", "rates": [] } ], "states": [ "62c80815c9d738e14b8988f1" ] } '
{ "data": { "__v": 0, "_id": "635a98d76231f050e45949a9", "cities": [ "62c8341dee498d69b64c64a0", "62c8341dee498d69b64c64a1" ], "countries": [ "628c8d3c21ce8313e6293c8e" ], "created": "2022-10-27T14:42:31.425Z", "name": "Test Africanaers", "regions": [ { "_id": "635a98d76231f050e45949aa", "country": "628c8d3c21ce8313e6293c8e", "regions": [ { "_id": "635a98d76231f050e45949ab", "cities": [ "62c8341dee498d69b64c64a0", "62c8341dee498d69b64c64a1" ], "state": "62c80815c9d738e14b8988ce" } ] } ], "restOfTheWorld": false, "shop": "61a956d91a113f7e13c45c15", "slug": "test-africanaers", "states": [ "62c80815c9d738e14b8988ce" ], "updated": "2022-10-27T14:42:31.425Z", "updatedBy": "61a956551a113f7e13c45c10" }, "msg": "Zone created successfully", "success": true }
Documentation IndexFetch the complete documentation index at: https://developers.qshop.tech/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
Use this file to discover all available pages before exploring further.
"international"
"Oyo south west"
Show child attributes
[ { "amount": 0, "deliveryType": "delivery", "name": "standard rate 5", "rateType": "norate", "rates": [] }]
["62c80815c9d738e14b8988f1"]
Create shipping zones
"Zone created successfully"
true
Was this page helpful?